#
# Conditional build:
%bcond_without	tests	# "make check"
%bcond_with	gnutls	# GnuTLS instead of OpenSSL
%bcond_with	socks	# (Courier) Socks support

Summary:	CONE - Console Newsreader and Emailer
Summary(pl.UTF-8):	CONE - tekstowy klient poczty i czytnik newsów
Name:		cone
Version:	1.0
Release:	2
License:	GPL v3 with OpenSSL exception
Group:		Applications/Mail
Source0:	http://downloads.sourceforge.net/courier/%{name}-%{version}.tar.bz2
# Source0-md5:	57ea2f089455c3eae4437f243d786606
Patch0:		%{name}-maildir.patch
Patch1:		%{name}-curses.patch
URL:		http://www.courier-mta.org/cone/
BuildRequires:	aspell-devel
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
%{?with_socks:BuildRequires:	courier-sox-devel}
BuildRequires:	courier-unicode-devel >= 2.0
BuildRequires:	fam-devel
# or gnupg2 --with-gpg2, will use the same at runtime
BuildRequires:	gnupg
%{?with_gnutls:BuildRequires:	gnutls-devel >= 3.0}
%{?with_gnutls:BuildRequires:	libgcrypt-devel}
%{?with_gnutls:BuildRequires:	libgpg-error-devel}
BuildRequires:	libidn-devel >= 0.0.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	ncurses-devel >= 5
BuildRequires:	openldap-devel
%{!?with_gnutls:BuildRequires:	openssl-devel >= 0.9.7d}
BuildRequires:	pcre-devel
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	procps
BuildRequires:	sysconftool
BuildRequires:	zlib-devel
Requires:	ca-certificates
Suggests:	gnupg
Conflicts:	courier-imap < 5
Conflicts:	courier-imapd < 1
Conflicts:	maildrop < 3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CONE is a simple, text-based E-mail reader and writer, and a simple
newsreader.

%description -l pl.UTF-8
CONE jest prostym, tekstowym klientem pocztowym, a także prostym
czytnikiem newsów.

%package devel
Summary:	Header files and static LibMAIL library
Summary(pl.UTF-8):	Pliki nagłówkowe i biblioteka statyczna LibMAIL
Group:		Development/Libraries
Requires:	courier-unicode-devel >= 2.0
%{?with_gnutls:Requires:	gnutls-devel >= 3.0}
Requires:	libidn-devel >= 0.0.0
Requires:	libstdc++-devel
%{!?with_gnutls:Requires:	openssl-devel >= 0.9.7d}
Obsoletes:	cone-static < 0.96

%description devel
This package includes the header files and static library for
developing applications using LibMAIL - a high level, C++ OO library
for mail clients.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe i bibliotekę statyczną do
tworzenia aplikacji z użyciem LibMAIL - wysokopoziomowej,
zorientowanej obiektowo biblioteki C++ dla klientów pocztowych.

%package -n leaf
Summary:	Console text file editor
Summary(pl.UTF-8):	Konsolowy edytor plików tekstowych
Group:		Applications/Editors

%description -n leaf
Leaf is a simple console text file editor, with paragraph
word-wrapping and spell checking. Leaf is based on the text editor in
the Cone mail reader and composer.

%description -n leaf -l pl.UTF-8
Leaf jest prostym konsolowym edytorem plików tekstowych, z zawijaniem
wierszy w akapitach i sprawdzaniem pisowni. Jest oparty na edytorze
używanym w czytniku poczty Cone.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
for d in $(sed -ne 's/.*AC_CONFIG_SUBDIRS(\([^)]*\))/\1/p' configure.ac) . ; do
	if [ -d "$d" ]; then
		cd $d
		%{__aclocal}
		%{__autoconf}
		if grep -q AC_CONFIG_HEADER configure.ac ; then
			%{__autoheader}
		fi
		%{__automake}
		cd -
	fi
done

%configure \
	SENDMAIL=/usr/lib/sendmail \
	--with-certdb=%{_sysconfdir}/certs/ca-certificates.crt \
	--with-devel \
	%{?with_gnutls:--with-gnutls} \
	--with-notice=unicode

%{__make}

%if %{with tests}
%{__make} check
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__mv} $RPM_BUILD_ROOT%{_sysconfdir}/cone.dist $RPM_BUILD_ROOT%{_sysconfdir}/cone

# move docs to more specific location
install -d $RPM_BUILD_ROOT%{_docdir}/%{name}
%{__mv} $RPM_BUILD_ROOT%{_datadir}/cone/{*.html,manpage.css} $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- %{name} < 1
%banner -e cone-unicode <<EOF
WARNING: you have to convert any existing maildirs to Unicode naming scheme.
See INSTALL file for details.
EOF

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/cone
%attr(755,root,root) %{_bindir}/cone
%attr(755,root,root) %{_bindir}/mailtool
%attr(755,root,root) %{_libexecdir}/cone
%{_datadir}/cone
%{_mandir}/man1/cone.1*
%{_mandir}/man1/mailtool.1*
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/FAQ.html
%{_docdir}/%{name}/INSTALL.html
%{_docdir}/%{name}/README.html
%{_docdir}/%{name}/add.html
%{_docdir}/%{name}/attributes.html
%{_docdir}/%{name}/bk01-toc.html
%{_docdir}/%{name}/cone*.html
%{_docdir}/%{name}/conn.html
%{_docdir}/%{name}/index.html
%{_docdir}/%{name}/maillist.html
%{_docdir}/%{name}/mailtool.html
%{_docdir}/%{name}/manpage.css
%{_docdir}/%{name}/moredocs.html
%{_docdir}/%{name}/search.html
%{_docdir}/%{name}/smap*.html
%{_docdir}/%{name}/store.html

%files devel
%defattr(644,root,root,755)
%{_libdir}/libmail.a
%{_libdir}/libmail.la
%{_includedir}/libmail
%{_mandir}/man3/mail::*.3x*
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/account-*.html
%{_docdir}/%{name}/address.html
%{_docdir}/%{name}/cppnamespace.html
%{_docdir}/%{name}/emailaddress.html
%{_docdir}/%{name}/envelope.html
%{_docdir}/%{name}/folder-*.html
%{_docdir}/%{name}/header-*.html
%{_docdir}/%{name}/libmail*.html
%{_docdir}/%{name}/mail-*.html
%{_docdir}/%{name}/mimestruct.html
%{_docdir}/%{name}/misc.html
%{_docdir}/%{name}/native.html
%{_docdir}/%{name}/synchronous.html

%files -n leaf
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/leaf
%{_mandir}/man1/leaf.1*
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/leaf.html
%changelog
* Thu Nov 22 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cone.git;a=log;h=master

* Thu Nov 22 2018 Jan Rękorajski <baggins@pld-linux.org> 1a2164c
- rebuild with libidn 1.35
- release 2 (by relup.sh)

* Wed Nov 21 2018 Jakub Bogusz <qboosh@pld-linux.org> ae636a8
- updated to 1.0 (now uses unicode maildir naming scheme, needs upgrade synchronization with other courier components)

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> f6c9d9c
- release 2 (by relup.sh)

* Fri Mar 23 2018 Jakub Bogusz <qboosh@pld-linux.org> b848eaf
- updated to 0.96.2
- configure hacks replaced by curses patch
- package all .html files in the same directory (there are cross references)

* Thu Sep 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> cf50f9e
- release 2

* Wed Aug 31 2011 luzik <luzik@pld-linux.org> 31f2e7d
- adapterized
- added Req ca-certificates

* Wed Aug 31 2011 luzik <luzik@pld-linux.org> a3ca27d
- updated to 0.89
- now it builds again
- ugly -ltinfow hack
- cone.sh needed to set cone env
- fixed root certs

* Mon Apr 11 2011 Zsolt Udvari <uzsolt@pld-linux.org> 220bf61
- 0.86
- rel 0.1 (does not build)

* Sat Jan 19 2008 hawk <hawk@pld-linux.org> 147daf4
- now it builds
- added TODO

* Sat Jan 19 2008 hawk <hawk@pld-linux.org> 73535d3
- updated to 0.74

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 28d6cad
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8628d5b
- converted to UTF-8

* Mon Nov 13 2006 Jakub Bogusz <qboosh@pld-linux.org> 4485d85
- obsolete

* Mon Nov 06 2006 Michał Łukaszek <mlukaszek+pld@gmail.com> 3b2feb7
- updated to 0.68, linking patch not needed anymore

* Mon Dec 12 2005 Elan Ruusamäe <glen@pld-linux.org> b78eacd
- adapterized (sorted %verify flags)

* Sat Jul 09 2005 Andrzej Augustynowicz <andrzej@augustynowicz.eu.org> b41719b
- updated to 0.65
- added -linking.patch - fixed library linking

* Sat Jul 09 2005 Andrzej Augustynowicz <andrzej@augustynowicz.eu.org> 5877198
- fixed library linking

* Thu Mar 24 2005 Andrzej Augustynowicz <andrzej@augustynowicz.eu.org> 1518389
- updated to 0.64 STBR

* Wed Jan 05 2005 havner <havner@pld-linux.org> e5733b7
- rel 2 for aspell 0.50 rebuild

* Sun Nov 21 2004 Andrzej Augustynowicz <andrzej@augustynowicz.eu.org> 5f90255
- updated to 0.63

